Register Guidelines E-Books Search Today's Posts Mark Forums Read

Go Back   MobileRead Forums > E-Book Software > Calibre

Notices

Reply
 
Thread Tools Search this Thread
Old 08-28-2009, 02:46 PM   #1
apswartz
e-book reader
apswartz began at the beginning.
 
apswartz's Avatar
 
Posts: 41
Karma: 16
Join Date: Feb 2009
Location: North Carolina
Device: Kindle 2, Kindle 3, Sony PRS-600, Calibre, Droid2
My Calibre broken on Ubuntu

Arg! I just tried to upgrade to 0.6.10 and it requires GLIBC 2.10 and the current version of Ubuntu has 2.9 not 2.10! Of course, the installation wiped out my older version of Calibre so I tried to install Calibre from the Ubuntu repositories and it is way OLD - 0.4.143.

The older version could not read the database of the newer version so I imported all my books into the older version, but it is giving me problems.

I would love to be able to use the newest version but I can figure out how? Where do I find GLIBC 2.10? Will using it mess up my other software? :-(
apswartz is offline   Reply With Quote
Old 08-28-2009, 02:58 PM   #2
Ankh
Guru
Ankh ought to be getting tired of karma fortunes by now.Ankh ought to be getting tired of karma fortunes by now.Ankh ought to be getting tired of karma fortunes by now.Ankh ought to be getting tired of karma fortunes by now.Ankh ought to be getting tired of karma fortunes by now.Ankh ought to be getting tired of karma fortunes by now.Ankh ought to be getting tired of karma fortunes by now.Ankh ought to be getting tired of karma fortunes by now.Ankh ought to be getting tired of karma fortunes by now.Ankh ought to be getting tired of karma fortunes by now.Ankh ought to be getting tired of karma fortunes by now.
 
Ankh's Avatar
 
Posts: 713
Karma: 2003741
Join Date: Oct 2008
Location: Ottawa, ON
Device: Kobo Touch
Short answer: reinstall 0.6.10.

Details here.
Ankh is offline   Reply With Quote
Old 08-28-2009, 03:12 PM   #3
apswartz
e-book reader
apswartz began at the beginning.
 
apswartz's Avatar
 
Posts: 41
Karma: 16
Join Date: Feb 2009
Location: North Carolina
Device: Kindle 2, Kindle 3, Sony PRS-600, Calibre, Droid2
Quote:
Originally Posted by Ankh View Post
Short answer: reinstall 0.6.10.

Details here.
I'm not sure I understand. I have tried to install it several times in the last two days with no change. When I read the thread in...
http://calibre.kovidgoyal.net/ticket/3319#comment:7
I am not sure what I am expected to do. I do have /lib/libdbus-1.so.3 on my system.

What am I missing here?
apswartz is offline   Reply With Quote
Old 08-28-2009, 03:31 PM   #4
Ankh
Guru
Ankh ought to be getting tired of karma fortunes by now.Ankh ought to be getting tired of karma fortunes by now.Ankh ought to be getting tired of karma fortunes by now.Ankh ought to be getting tired of karma fortunes by now.Ankh ought to be getting tired of karma fortunes by now.Ankh ought to be getting tired of karma fortunes by now.Ankh ought to be getting tired of karma fortunes by now.Ankh ought to be getting tired of karma fortunes by now.Ankh ought to be getting tired of karma fortunes by now.Ankh ought to be getting tired of karma fortunes by now.Ankh ought to be getting tired of karma fortunes by now.
 
Ankh's Avatar
 
Posts: 713
Karma: 2003741
Join Date: Oct 2008
Location: Ottawa, ON
Device: Kobo Touch
Quote:
Originally Posted by apswartz View Post
I'm not sure I understand. I have tried to install it several times in the last two days with no change. When I read the thread in...
http://calibre.kovidgoyal.net/ticket/3319#comment:7
I am not sure what I am expected to do. I do have /lib/libdbus-1.so.3 on my system.

What am I missing here?
That thread explains why you had issues with glibc v2.10. "libdbus" packed with previous version of calibre was the culprit. In the meantime, Kovid has removed his own version of libdbus from calibre binary install, and uploaded "new" 0.6.10 binaries.

I just downloaded and installed 0.6.10 on jaunty/am64, it works. Please try to reinstall once again.
Ankh is offline   Reply With Quote
Old 08-28-2009, 03:32 PM   #5
frabjous
Wizard
frabjous can solve quadratic equations while standing on his or her head reciting poetry in iambic pentameterfrabjous can solve quadratic equations while standing on his or her head reciting poetry in iambic pentameterfrabjous can solve quadratic equations while standing on his or her head reciting poetry in iambic pentameterfrabjous can solve quadratic equations while standing on his or her head reciting poetry in iambic pentameterfrabjous can solve quadratic equations while standing on his or her head reciting poetry in iambic pentameterfrabjous can solve quadratic equations while standing on his or her head reciting poetry in iambic pentameterfrabjous can solve quadratic equations while standing on his or her head reciting poetry in iambic pentameterfrabjous can solve quadratic equations while standing on his or her head reciting poetry in iambic pentameterfrabjous can solve quadratic equations while standing on his or her head reciting poetry in iambic pentameterfrabjous can solve quadratic equations while standing on his or her head reciting poetry in iambic pentameterfrabjous can solve quadratic equations while standing on his or her head reciting poetry in iambic pentameter
 
frabjous's Avatar
 
Posts: 1,213
Karma: 12890
Join Date: Feb 2009
Location: Amherst, Massachusetts, USA
Device: Sony PRS-505
I'm using Ubuntu Jaunty and have been regularly updating my calibre install without incident.

Try opening the console and typing in:

sudo python -c "import urllib2; exec urllib2.urlopen('http://status.calibre-ebook.com/linux_installer').read(); main()"

That should install the newest version of calibre.
frabjous is offline   Reply With Quote
Old 08-28-2009, 04:00 PM   #6
apswartz
e-book reader
apswartz began at the beginning.
 
apswartz's Avatar
 
Posts: 41
Karma: 16
Join Date: Feb 2009
Location: North Carolina
Device: Kindle 2, Kindle 3, Sony PRS-600, Calibre, Droid2
Quote:
Originally Posted by Ankh View Post
That thread explains why you had issues with glibc v2.10. "libdbus" packed with previous version of calibre was the culprit. In the meantime, Kovid has removed his own version of libdbus from calibre binary install, and uploaded "new" 0.6.10 binaries.

I just downloaded and installed 0.6.10 on jaunty/am64, it works. Please try to reinstall once again.
Bam! It worked. Thanks.

Don't understand why it didn't work before. Bless you.
apswartz is offline   Reply With Quote
Old 08-28-2009, 04:02 PM   #7
apswartz
e-book reader
apswartz began at the beginning.
 
apswartz's Avatar
 
Posts: 41
Karma: 16
Join Date: Feb 2009
Location: North Carolina
Device: Kindle 2, Kindle 3, Sony PRS-600, Calibre, Droid2
Quote:
Originally Posted by frabjous View Post
I'm using Ubuntu Jaunty and have been regularly updating my calibre install without incident.

Try opening the console and typing in:

sudo python -c "import urllib2; exec urllib2.urlopen('http://status.calibre-ebook.com/linux_installer').read(); main()"

That should install the newest version of calibre.
Thanks! That is the way I have been installing Calibre for some time now. It just provided a glitch for me just as I was getting my new Sony 600! ;-)
apswartz is offline   Reply With Quote
Reply

Tags
calibre, glibc, ubuntu

Thread Tools Search this Thread
Search this Thread:

Advanced Search

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
Calibre on ubuntu server tdw197 Calibre 24 01-19-2011 08:48 AM
Calibre und Ubuntu? squeak.89 Software 3 08-31-2010 08:37 AM
Calibre for Ubuntu (Jaunty) bedachtm Calibre 20 02-20-2010 03:09 AM
Calibre on Ubuntu/ARM? cstross Calibre 2 10-01-2009 03:49 PM
Calibre under Ubuntu 9.04 ebeckhusen Calibre 4 04-10-2009 05:22 PM


All times are GMT -4. The time now is 04:25 PM.


MobileRead.com is a privately owned, operated and funded community.